[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TClassList.IndexOf

Search for a class pointer in the list.

## Declaration

Source position: contnrs.pp line 122

`public function TClassList.IndexOf(`
`AClass: TClass`
`):Integer;`

## Arguments

`AClass` |  | Class pointer to search for

## Function result

Position of the class pointer, or -1 if not found.

## Description

IndexOf searches for AClass in the list, and returns it's position if it was found, or -1 if it was not found in the list.

## Errors

None.

## See also

#rtl.classes.tlist.indexof

Documentation generated on: Feb 26 2014